Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:    	kdeadmin
Summary: 	K Desktop Environment 4 - administration utilities
Version:	4.5.5
Release:	1

License: 	GPLv2
URL:     	http://www.kde.org/
Group:   	Graphical Desktop/KDE4
Source0: 	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeadmin-%{version}.tar.bz2
Source1:        kuser.pam
Source2:        kuser.pamd
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      i686
BuildRequires: 	cmake 
#BuildRequires: 	ggz-client-libs-devel
BuildRequires: 	kdelibs-devel >= %{version}
# for macros.kde4
BuildRequires:  pycups
BuildRequires:  pysmbc
BuildRequires:  system-config-printer
BuildRequires:  kdebindings-python
BuildRequires:  automoc4
BuildRequires:  libX11-devel
BuildRequires:  phonon-devel
BuildRequires:  python26-pyqt-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: usermode-gtk
Obsoletes: 	kdeadmin4 < %{version}-%{release}
Provides:  	kdeadmin4 = %{version}-%{release}



#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: perl
BuildRequires: qt4-devel

%description
The %{name} package includes administrative tools including:
* kcron (editor for the cron command scheduler)
* knetworkconf (network configuration module for KDE's settings manager)
* kuser (user manager)
* secpolicy (displays PAM security policies)

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DINSTALL_SYSTEM_CONFIG_PRINTER=TRUE
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# Run kuser through consolehelper
install -D -p -m644 %{SOURCE1} %{buildroot}%_sysconfdir/security/console.apps/kuser
install -D -p -m644 %{SOURCE2} %{buildroot}%_sysconfdir/pam.d/kuser
mkdir -p %{buildroot}%{_kde4_sbindir}
mv %{buildroot}%{_kde4_bindir}/kuser %{buildroot}%{_kde4_sbindir}
ln -s consolehelper %{buildroot}%{_kde4_bindir}/kuser


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/ksystemlog
%{_kde4_bindir}/kuser
#%{_kde4_bindir}/system-config-printer-kde
%{_kde4_appsdir}/knetworkconf/
%{_kde4_appsdir}/ksystemlog/
%{_kde4_appsdir}/kuser/
%{_kde4_appsdir}/system-config-printer-kde/
%{_kde4_datadir}/applications/kde4/kuser.desktop
%{_kde4_datadir}/applications/kde4/ksystemlog.desktop
#%{_kde4_datadir}/applications/kde4/system-config-printer-kde.desktop

%{_kde4_datadir}/config.kcfg/kuser.kcfg
%{_kde4_datadir}/kde4/services/*
%{_kde4_docdir}/HTML/en/kcron/
#%{_kde4_docdir}/HTML/en/knetworkconf/
%{_kde4_docdir}/HTML/en/ksystemlog/
%{_kde4_docdir}/HTML/en/kuser/
%{_kde4_docdir}/HTML/en/kcontrol/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/kcm_cron.so
%{_kde4_libdir}/kde4/kcm_knetworkconfmodule.so
#%{_libdir}/pkgconfig/*.pc
%{_kde4_sbindir}/kuser
%config(noreplace) %_sysconfdir/security/console.apps/kuser
%config(noreplace) %_sysconfdir/pam.d/kuser

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.5.5-1
- Version Update
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-2
- modified kuser pam config
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Initial release
